curl --location --request GET 'http://127.0.0.1:8000/api/merchants/checkout/{{checkout_id}}/generate_link_token' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>'
{
"link_token": "mpch-76438abb114e80c0f52aecab51000d485f467cc5",
"checkout_id": "ch-49056a5e920b4389a30e941a144c68c1"
}
Checkout API
Generate Link Token
Generate a Link Token.
GET
/
api
/
merchants
/
checkout
/
{checkout_id}
/
generate_link_token
curl --location --request GET 'http://127.0.0.1:8000/api/merchants/checkout/{{checkout_id}}/generate_link_token' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>'
{
"link_token": "mpch-76438abb114e80c0f52aecab51000d485f467cc5",
"checkout_id": "ch-49056a5e920b4389a30e941a144c68c1"
}
header
string
The checkout ID that the merchant received in response to the POST Checkout request.
string
You will get this API key in the response of ‘generate api key button’ on merchant object.
Response
number
This Response field will return unique ‘link_token’ and status code 200 if the transaction succeeds.
curl --location --request GET 'http://127.0.0.1:8000/api/merchants/checkout/{{checkout_id}}/generate_link_token' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>'
{
"link_token": "mpch-76438abb114e80c0f52aecab51000d485f467cc5",
"checkout_id": "ch-49056a5e920b4389a30e941a144c68c1"
}